%define	upstream_name	 Catalyst-Plugin-Authorization-ACL
%define abbrev_name      Catalyst-P-A-ACL
%define upstream_version 0.15

%define _requires_exceptions perl(A

Name:		perl-%{abbrev_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 1

Summary:	ACL support for Catalyst applications
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Catalyst) >= 5.7
BuildRequires:  perl(Catalyst::Plugin::Authentication)
BuildRequires:  perl(Catalyst::Plugin::Authorization::Roles)
BuildRequires:  perl(Catalyst::Plugin::Session)
BuildRequires:  perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires:	perl(Class::Data::Inheritable)
BuildRequires:	perl(Class::Throwable)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Test::WWW::Mechanize::Catalyst)
BuildRequires:	perl(Tree::Simple::Visitor::FindByPath)
BuildRequires:	perl(Tree::Simple::Visitor::GetAllDescendents)

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
Provides:	perl-%{upstream_name}
Obsoletes:	perl-%{upstream_name}


%description
This module provides Access Control List style path protection, with
arbitrary rules for Catalyst applications. It operates only on the
Catalyst private namespace, at least at the moment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst

%Changelog
* Sat Aug 05 2006 Scott Karns <scottk@mandriva.org> 0.08-1mdv2007.0
- Version 0.08
- Renamed from perl-Catalyst-Plugin-Authorization-ACL to meet
  joliet filename length constraint.


%changelog
* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.150.0-1mdv2010.1
+ Revision: 461259
- update to 0.15

* Sun Sep 27 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.0
+ Revision: 450059
- update buildrequires:
- update to 0.13

* Wed Jul 15 2009 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.0
+ Revision: 396338
- update to 0.11
- using %%perl_convert_version
- fixed license field

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.08-4mdv2009.0
+ Revision: 255523
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.08-2mdv2008.1
+ Revision: 136670
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-2mdv2008.0
+ Revision: 85925
- rebuild


* Sat Aug 05 2006 Scott Karns <scottk@mandriva.org> 0.08-1mdv2007.0
- Version 0.08
- Renamed from perl-Catalyst-Plugin-Authorization-ACL to meet
  joliet filename length constraint.

